Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.tracing.modular
Class CombinedPathValues

    java.lang.Object
      de.grogra.ray2.tracing.modular.PathValues
          de.grogra.ray2.tracing.modular.CombinedPathValues

    public class CombinedPathValues

extends PathValues

Field Summary
`int` | `dividerIndex`
`java.util.ArrayList<java.lang.Float>` | `geometryFactorsEB`
`Spectrum3d` | `initialSpectrumEnd`
`int` | `lightID`
`java.util.ArrayList<Line>` | `rayListEB`
`int` | `sensorID`
`java.util.ArrayList<Spectrum>` | `weightListEB`

Fields inherited from class de.grogra.ray2.tracing.modular.PathValues
`color, creatorID, envList, geometryFactorsBE, hitLights, initialSpectrum, intersecList, pathLength, pathResultList, rayListBE, shaderList, specReflectionList, specRefractionList, weightListBE`

Constructor Summary
`CombinedPathValues()`

Method Summary
`void` | `initialize(int size)`
`boolean` | `isValid()`
`void` | `merge2Paths(PathValues firstPath, int firstIndex, PathValues secondPath, int secondIndex)`
`void` | `setValidFlag(boolean newVal)`
`void` | `splitInto2Paths(int splitIndex, PathValues firstPath, PathValues secondPath)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.ray2.tracing.modular.PathValues
`isSpecular, saveGeometryFactor, saveHitLight, savePathLenght, saveProbabilityDensity, saveResult, saveValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dividerIndex

    public int dividerIndex

### geometryFactorsEB

    public java.util.ArrayList<java.lang.Float> geometryFactorsEB

### initialSpectrumEnd

    public Spectrum3d initialSpectrumEnd

### lightID

    public int lightID

### rayListEB

    public java.util.ArrayList<Line> rayListEB

### sensorID

    public int sensorID

### weightListEB

    public java.util.ArrayList<Spectrum> weightListEB

Constructor Detail

### CombinedPathValues

    public CombinedPathValues()

Method Detail

### initialize

    public void initialize(int size)

  Overrides:
    `initialize` in class `PathValues`

### isValid

    public boolean isValid()

### merge2Paths

    public void merge2Paths(PathValues firstPath,
                            int firstIndex,
                            PathValues secondPath,
                            int secondIndex)

### setValidFlag

    public void setValidFlag(boolean newVal)

### splitInto2Paths

    public void splitInto2Paths(int splitIndex,
                                PathValues firstPath,
                                PathValues secondPath)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PathValues`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD